package com.kcim.common.enums;

import lombok.Getter;

/**
 * 计算方式 （报表设置里面）
 * 0.不设置，1.对应会计科目，2.对应分摊层级，3.小计，4.计算公式，5.按责任中心
 */
@Getter
public enum CalcTypeEnum {

    NO_CONFIG(0, "不设置"),
    BY_ACCOUNT(1, "对应会计科目"),
    BY_SHARE_LEVEL(2, "对应分摊层级"),
    LITTER_COUNT(3, "小计"),
    CALC_FORMULA(4, "计算公式"),
    BY_RESPONSIBILITY(5, "按责任中心"),
    ;

    int type;
    String name;

    CalcTypeEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }
}
